# API Reference

TOOLIV Server API는 Semantic Versioning에 따라 API 문서를 공개하고,

사용자들의 서비스 이해를 돕기 위해 제공하고 있습니다.

**TOOLIV은 사용자들과의 지속적인 상호작용을 통해 서비스를 개선하겠습니다 😀**

## Admin

Admin은 TOOLIV Enterprise Edition의 최상위 관리자(서버 설치 담당자)를 의미합니다.            &#x20;

{% content-ref url="/pages/x26poKSvOHDNmL0Jz7DE" %}
[Admin](/tooliv-docs/reference/api-reference/admin.md)
{% endcontent-ref %}

## User

User는 TOOLIV 서비스를 이용하기 위해 회원가입한 사용자를 의미합니다.&#x20;

{% content-ref url="/pages/xP5HrHr6s5siB9myfYIP" %}
[User](/tooliv-docs/reference/api-reference/user.md)
{% endcontent-ref %}

## Workspace

Workspace는 팀 구성원이 함께 소통하고 작업할 수 있는 Channel로 구성됩니다.

{% content-ref url="/pages/vNjoUGZc4p3r5LyHb1qA" %}
[Workspace](/tooliv-docs/reference/api-reference/workspace.md)
{% endcontent-ref %}

## Channel

Channel은 채팅 및 파일 송·수신, 화상회의 등 팀원들이 모여 업무를 공유할 수 있는 공간입니다.&#x20;

{% content-ref url="/pages/bdVkQoPt9Mm7aH9geTbI" %}
[Channel](/tooliv-docs/reference/api-reference/channel.md)
{% endcontent-ref %}

## Chat

Chat은 Markdown, 파일 송·수신을 포함하여 개인 또는 팀 전체에 쉽게 연락할 수 있는 수단입니다.

{% content-ref url="/pages/SDROjbNUVnZauVBOVpD8" %}
[Chat](/tooliv-docs/reference/api-reference/chat.md)
{% endcontent-ref %}

## Web Socket

TOOLIV는 채팅 및 파일 송·수신을 위해 HTTP RESTful 웹 서비스 외에도 WebSocket을 지원합니다.

{% content-ref url="/pages/mslkpw6w8cgPvxoirMIA" %}
[Web Socket](/tooliv-docs/reference/api-reference/web-socket.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://undefined-291.gitbook.io/tooliv-docs/reference/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
